-- -*- mode:sql sql-product:sqlite -*-

CREATE TABLE backgrounds (
  bg_id INTEGER PRIMARY KEY,
  "name" TEXT NOT NULL UNIQUE,
  descr TEXT NOT NULL,
  is_comty_use BOOLEAN NOT NULL, -- false = no community use policy required
  is_specific_to_adv BOOLEAN NOT NULL, -- means the background is specific to its adventure
  FOREIGN KEY (sources_id) REFERENCES sources(sources_id)
);

-- Joining table --
CREATE TABLE backgrounds_sourceentries (
	 id INTEGER PRIMARY KEY
  ,bg_id INTEGER NOT NULL
  ,sourceentry_id INTEGER NOT NULL
  ,UNIQUE (id, bg_id, sourceentry_id)
  ,FOREIGN KEY (bg_id) REFERENCES backgrounds(bg_id)
  ,FOREIGN KEY (sourceentry_id) REFERENCES sourceentries(sourceentry_id)
);